﻿using System;
using System.ComponentModel.Composition;
using System.Windows.Input;
using MefShapes;

namespace MefHolidayPack
{
    [Export(typeof(IMenuItem))]
    public class HolidayPackMenuItem : IMenuItem
    {
        [Import]
        public IDeploymentCatalogService DeploymentCatalog { get; set; }

        public bool IsVisible { get; set; }
        public string Title { get; set; }
        public ICommand Command { get; set; }

        public HolidayPackMenuItem()
        {
            IsVisible = true;
            Title = "Load Holiday Shapes";
            Command = new DelegateCommand<string>(LoadCustomShapes);
        }

        void LoadCustomShapes(string parameter)
        {
            DeploymentCatalog.AddXap("MefHolidayShapes.xap");
        }

    }
}
