﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace MefShapes.Converters
{
    public class BoolToVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            try
            {
                return (bool)value ? Visibility.Visible : Visibility.Collapsed;
            }
            catch
            {
                return Visibility.Collapsed;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            try
            {
                return (Visibility)value == Visibility.Visible ? true : false;
            }
            catch
            {
                return false;
            }
        }
    }
}