using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;
using System.Windows.Media;

namespace MefShapes.Converters
{
    public class RandomSizeAndPositionConverter : IValueConverter
    {
        readonly static Random randomGenerator = new Random();

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var width = Application.Current.Host.Content.ActualWidth;
            var height = Application.Current.Host.Content.ActualHeight;

            var randomScale = (1.5 * randomGenerator.NextDouble()) + 0.5;

            width = width - (100 * randomScale);
            height = height - (100 * randomScale);

            var randomX = randomGenerator.Next((int)width) / randomScale;
            var randomY = randomGenerator.Next((int)height) / randomScale;

            var translate = new TranslateTransform { X = randomX, Y = randomY };
            var scale = new ScaleTransform { ScaleX = randomScale, ScaleY = randomScale };

            var group = new TransformGroup();
            group.Children.Add(translate);
            group.Children.Add(scale);
            return group;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}