using System;
using System.ComponentModel.Composition;
using System.Windows.Input;
using MefShapes;

namespace MefShapesViewer
{
    [Export(typeof(IMenuItem))]
    public class CustomShapesLoader : IMenuItem
    {
        [Import]
        public IDeploymentCatalogService DeploymentCatalog { get; set; }

        public bool IsVisible { get; set; }
        public string Title { get; set; }
        public ICommand Command { get; set; }

        public CustomShapesLoader()
        {
            IsVisible = true;
            Title = "Load Custom Shapes";
            Command = new DelegateCommand<string>(LoadCustomShapes);
        }

        void LoadCustomShapes(string parameter)
        {
            DeploymentCatalog.AddXap("MefCustomShapes.xap");
        }
    }
}