using System;
using System.ComponentModel;
using System.ComponentModel.Composition;
using System.Windows.Input;
using MefShapes;

namespace MefShapesViewer
{
    [Export(typeof(IMenuItem))]
    public class HolidayPackLoader : IMenuItem, INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        [Import]
        public IDeploymentCatalogService DeploymentCatalog { get; set; }

        private bool isVisible;
        public bool IsVisible
        {
            get { return isVisible; }
            set 
            { 
                isVisible = value;
                RaisePropertyChanged("IsVisible");
            }
        }

        public string Title { get; set; }
        public ICommand Command { get; set; }

        public HolidayPackLoader()
        {
            IsVisible = true;
            Title = "Enter Promo Code";
            Command = new DelegateCommand<string>(EnterPromoCode);
        }

        void EnterPromoCode(string parameter)
        {
            var promoWindow = new PromoCodeWindow();
            promoWindow.Closed += (s, e) =>
            {
                if (promoWindow.PromoCode.Equals("Holiday", StringComparison.InvariantCultureIgnoreCase))
                {
                    DeploymentCatalog.AddXap("MefHolidayPack.xap");
                    IsVisible = false;
                }
            };
            promoWindow.Show();
        }

        private void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}