﻿using System;
using System.ComponentModel.Composition;
using System.Windows.Controls;

namespace MefTabs.Common
{
    [MetadataAttribute]
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class ExportTabAttribute : ExportAttribute, ITabMetadata
    {
        public ExportTabAttribute(string header)
            : base("MefTabs.Tab", typeof(UserControl))
        {
            Header = header;
        }

        public string Header { get; private set; }
        public int Order { get; set; }
    }
}
