﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.Composition;
using System.Linq;
using System.Windows.Controls;
using MefTabs.Common;

namespace MefTabs
{
    [Export]
    public class MainPageViewModel
    {
        public MainPageViewModel()
        {
            TabItems = new ObservableCollection<TabItem>();
        }

        [ImportMany("MefTabs.Tab")]
        public IEnumerable<Lazy<UserControl, ITabMetadata>> Tabs
        {
            set { InitializeTabItems(value); }
        }

        public ObservableCollection<TabItem> TabItems { get; set; }

        private void InitializeTabItems(IEnumerable<Lazy<UserControl, ITabMetadata>> tabs)
        {
            TabItems.Clear();
            foreach (var tab in tabs.OrderBy(t => t.Metadata.Order))
            {
                TabItems.Add(new TabItem()
                {
                    Header = tab.Metadata.Header,
                    Content = tab.Value
                });
            }
        }
    }
}
